type ClientTypes = "assrock-mo" | "assrock-pin" | "bupper-click2sms" | "bupper-one-click" | "tallyman.v1-pin" | "tola-mpesa" | "tallyman.v1-mo" | "tallyman.v1-mo-redir" | "tallyman.v1-one-click" | "tallyman.v1-click-redir";
export type IClickActionTypes = "he" | "redirect" | "identify-user";
export type ConfigDetails = {
    host: string;
    slug?: string;
    handle?: string;
    country: string;
    device: "smart" | "feature";
    automaticallySubmitAllOperators?: boolean;
    operators?: string[];
    apiAction?: IClickActionTypes;
};
export type Config = {
    name: string;
    service: string;
    config: ConfigDetails;
};
export default function (page_type: ClientTypes): Promise<void>;
export {};
