"use strict";

function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
require("core-js/modules/es.symbol.js");
require("core-js/modules/es.symbol.description.js");
require("core-js/modules/es.symbol.iterator.js");
require("core-js/modules/es.array.iterator.js");
require("core-js/modules/es.object.get-own-property-descriptor.js");
require("core-js/modules/es.object.to-string.js");
require("core-js/modules/es.string.iterator.js");
require("core-js/modules/es.weak-map.js");
require("core-js/modules/web.dom-collections.iterator.js");
require("core-js/modules/es.array.includes.js");
var path = _interopRequireWildcard(require("path"));
var envfile = _interopRequireWildcard(require("envfile"));
var _configurePageStrategy = _interopRequireDefault(require("./configure-page-strategy"));
var _configurePageScenario = _interopRequireDefault(require("./configure-page-scenario"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != _typeof(e) && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
var env = envfile.parseFileSync(path.resolve("", ".env"));
var client = env.client;
var strategyBasedClients = ["super-strategy"];
var scenarioBasedClients = ["assrock-mo", "assrock-pin", "bupper-click2sms", "bupper-one-click", "tallyman.v1-pin", "tola-mpesa", "tallyman.v1-moredir", "tallyman.v1-mo", "tallyman.v1-click2sms", "tallyman.v1-one-click", "tallyman.v1-click-redir"];
if (!!client) {
  if (strategyBasedClients.includes(client)) {
    (0, _configurePageStrategy.default)(client).then(function (res) {
      console.log("res");
    }).catch(function (err) {
      console.log("err", err);
    });
  }
  if (scenarioBasedClients.includes(client)) {
    console.log("");
    (0, _configurePageScenario.default)(client).then(function (res) {
      console.log("res");
    }).catch(function (err) {
      console.log("err", err);
    });
  }
} else {
  throw "Please specify a client in .env file.";
}