"use strict";

require("core-js/modules/es.symbol.js");
require("core-js/modules/es.symbol.description.js");
require("core-js/modules/es.symbol.async-iterator.js");
require("core-js/modules/es.symbol.iterator.js");
require("core-js/modules/es.symbol.to-primitive.js");
require("core-js/modules/es.symbol.to-string-tag.js");
require("core-js/modules/es.array.iterator.js");
require("core-js/modules/es.array.slice.js");
require("core-js/modules/es.date.to-primitive.js");
require("core-js/modules/es.function.name.js");
require("core-js/modules/es.json.to-string-tag.js");
require("core-js/modules/es.math.to-string-tag.js");
require("core-js/modules/es.number.constructor.js");
require("core-js/modules/es.object.get-own-property-descriptor.js");
require("core-js/modules/es.object.get-own-property-descriptors.js");
require("core-js/modules/es.object.get-prototype-of.js");
require("core-js/modules/es.object.set-prototype-of.js");
require("core-js/modules/es.string.iterator.js");
require("core-js/modules/es.weak-map.js");
require("core-js/modules/web.dom-collections.for-each.js");
require("core-js/modules/web.dom-collections.iterator.js");
function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = _default;
require("core-js/modules/es.array.concat.js");
require("core-js/modules/es.array.filter.js");
require("core-js/modules/es.array.map.js");
require("core-js/modules/es.json.stringify.js");
require("core-js/modules/es.object.keys.js");
require("core-js/modules/es.object.to-string.js");
require("core-js/modules/es.object.values.js");
require("core-js/modules/es.promise.js");
var path = _interopRequireWildcard(require("path"));
var fs = _interopRequireWildcard(require("fs"));
var R = _interopRequireWildcard(require("ramda"));
var _inquirer = _interopRequireDefault(require("inquirer"));
var envfile = _interopRequireWildcard(require("envfile"));
var _axios = _interopRequireDefault(require("axios"));
var _createFlowManifest = require("./create-flow-manifest");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != _typeof(e) && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
function _regeneratorRuntime() { "use strict"; /*! regenerator-runtime -- Copyright (c) 2014-present, Facebook, Inc. -- license (MIT): https://github.com/facebook/regenerator/blob/main/LICENSE */ _regeneratorRuntime = function _regeneratorRuntime() { return e; }; var t, e = {}, r = Object.prototype, n = r.hasOwnProperty, o = Object.defineProperty || function (t, e, r) { t[e] = r.value; }, i = "function" == typeof Symbol ? Symbol : {}, a = i.iterator || "@@iterator", c = i.asyncIterator || "@@asyncIterator", u = i.toStringTag || "@@toStringTag"; function define(t, e, r) { return Object.defineProperty(t, e, { value: r, enumerable: !0, configurable: !0, writable: !0 }), t[e]; } try { define({}, ""); } catch (t) { define = function define(t, e, r) { return t[e] = r; }; } function wrap(t, e, r, n) { var i = e && e.prototype instanceof Generator ? e : Generator, a = Object.create(i.prototype), c = new Context(n || []); return o(a, "_invoke", { value: makeInvokeMethod(t, r, c) }), a; } function tryCatch(t, e, r) { try { return { type: "normal", arg: t.call(e, r) }; } catch (t) { return { type: "throw", arg: t }; } } e.wrap = wrap; var h = "suspendedStart", l = "suspendedYield", f = "executing", s = "completed", y = {}; function Generator() {} function GeneratorFunction() {} function GeneratorFunctionPrototype() {} var p = {}; define(p, a, function () { return this; }); var d = Object.getPrototypeOf, v = d && d(d(values([]))); v && v !== r && n.call(v, a) && (p = v); var g = GeneratorFunctionPrototype.prototype = Generator.prototype = Object.create(p); function defineIteratorMethods(t) { ["next", "throw", "return"].forEach(function (e) { define(t, e, function (t) { return this._invoke(e, t); }); }); } function AsyncIterator(t, e) { function invoke(r, o, i, a) { var c = tryCatch(t[r], t, o); if ("throw" !== c.type) { var u = c.arg, h = u.value; return h && "object" == _typeof(h) && n.call(h, "__await") ? e.resolve(h.__await).then(function (t) { invoke("next", t, i, a); }, function (t) { invoke("throw", t, i, a); }) : e.resolve(h).then(function (t) { u.value = t, i(u); }, function (t) { return invoke("throw", t, i, a); }); } a(c.arg); } var r; o(this, "_invoke", { value: function value(t, n) { function callInvokeWithMethodAndArg() { return new e(function (e, r) { invoke(t, n, e, r); }); } return r = r ? r.then(callInvokeWithMethodAndArg, callInvokeWithMethodAndArg) : callInvokeWithMethodAndArg(); } }); } function makeInvokeMethod(e, r, n) { var o = h; return function (i, a) { if (o === f) throw Error("Generator is already running"); if (o === s) { if ("throw" === i) throw a; return { value: t, done: !0 }; } for (n.method = i, n.arg = a;;) { var c = n.delegate; if (c) { var u = maybeInvokeDelegate(c, n); if (u) { if (u === y) continue; return u; } } if ("next" === n.method) n.sent = n._sent = n.arg;else if ("throw" === n.method) { if (o === h) throw o = s, n.arg; n.dispatchException(n.arg); } else "return" === n.method && n.abrupt("return", n.arg); o = f; var p = tryCatch(e, r, n); if ("normal" === p.type) { if (o = n.done ? s : l, p.arg === y) continue; return { value: p.arg, done: n.done }; } "throw" === p.type && (o = s, n.method = "throw", n.arg = p.arg); } }; } function maybeInvokeDelegate(e, r) { var n = r.method, o = e.iterator[n]; if (o === t) return r.delegate = null, "throw" === n && e.iterator.return && (r.method = "return", r.arg = t, maybeInvokeDelegate(e, r), "throw" === r.method) || "return" !== n && (r.method = "throw", r.arg = new TypeError("The iterator does not provide a '" + n + "' method")), y; var i = tryCatch(o, e.iterator, r.arg); if ("throw" === i.type) return r.method = "throw", r.arg = i.arg, r.delegate = null, y; var a = i.arg; return a ? a.done ? (r[e.resultName] = a.value, r.next = e.nextLoc, "return" !== r.method && (r.method = "next", r.arg = t), r.delegate = null, y) : a : (r.method = "throw", r.arg = new TypeError("iterator result is not an object"), r.delegate = null, y); } function pushTryEntry(t) { var e = { tryLoc: t[0] }; 1 in t && (e.catchLoc = t[1]), 2 in t && (e.finallyLoc = t[2], e.afterLoc = t[3]), this.tryEntries.push(e); } function resetTryEntry(t) { var e = t.completion || {}; e.type = "normal", delete e.arg, t.completion = e; } function Context(t) { this.tryEntries = [{ tryLoc: "root" }], t.forEach(pushTryEntry, this), this.reset(!0); } function values(e) { if (e || "" === e) { var r = e[a]; if (r) return r.call(e); if ("function" == typeof e.next) return e; if (!isNaN(e.length)) { var o = -1, i = function next() { for (; ++o < e.length;) if (n.call(e, o)) return next.value = e[o], next.done = !1, next; return next.value = t, next.done = !0, next; }; return i.next = i; } } throw new TypeError(_typeof(e) + " is not iterable"); } return GeneratorFunction.prototype = GeneratorFunctionPrototype, o(g, "constructor", { value: GeneratorFunctionPrototype, configurable: !0 }), o(GeneratorFunctionPrototype, "constructor", { value: GeneratorFunction, configurable: !0 }), GeneratorFunction.displayName = define(GeneratorFunctionPrototype, u, "GeneratorFunction"), e.isGeneratorFunction = function (t) { var e = "function" == typeof t && t.constructor; return !!e && (e === GeneratorFunction || "GeneratorFunction" === (e.displayName || e.name)); }, e.mark = function (t) { return Object.setPrototypeOf ? Object.setPrototypeOf(t, GeneratorFunctionPrototype) : (t.__proto__ = GeneratorFunctionPrototype, define(t, u, "GeneratorFunction")), t.prototype = Object.create(g), t; }, e.awrap = function (t) { return { __await: t }; }, defineIteratorMethods(AsyncIterator.prototype), define(AsyncIterator.prototype, c, function () { return this; }), e.AsyncIterator = AsyncIterator, e.async = function (t, r, n, o, i) { void 0 === i && (i = Promise); var a = new AsyncIterator(wrap(t, r, n, o), i); return e.isGeneratorFunction(r) ? a : a.next().then(function (t) { return t.done ? t.value : a.next(); }); }, defineIteratorMethods(g), define(g, u, "Generator"), define(g, a, function () { return this; }), define(g, "toString", function () { return "[object Generator]"; }), e.keys = function (t) { var e = Object(t), r = []; for (var n in e) r.push(n); return r.reverse(), function next() { for (; r.length;) { var t = r.pop(); if (t in e) return next.value = t, next.done = !1, next; } return next.done = !0, next; }; }, e.values = values, Context.prototype = { constructor: Context, reset: function reset(e) { if (this.prev = 0, this.next = 0, this.sent = this._sent = t, this.done = !1, this.delegate = null, this.method = "next", this.arg = t, this.tryEntries.forEach(resetTryEntry), !e) for (var r in this) "t" === r.charAt(0) && n.call(this, r) && !isNaN(+r.slice(1)) && (this[r] = t); }, stop: function stop() { this.done = !0; var t = this.tryEntries[0].completion; if ("throw" === t.type) throw t.arg; return this.rval; }, dispatchException: function dispatchException(e) { if (this.done) throw e; var r = this; function handle(n, o) { return a.type = "throw", a.arg = e, r.next = n, o && (r.method = "next", r.arg = t), !!o; } for (var o = this.tryEntries.length - 1; o >= 0; --o) { var i = this.tryEntries[o], a = i.completion; if ("root" === i.tryLoc) return handle("end"); if (i.tryLoc <= this.prev) { var c = n.call(i, "catchLoc"), u = n.call(i, "finallyLoc"); if (c && u) { if (this.prev < i.catchLoc) return handle(i.catchLoc, !0); if (this.prev < i.finallyLoc) return handle(i.finallyLoc); } else if (c) { if (this.prev < i.catchLoc) return handle(i.catchLoc, !0); } else { if (!u) throw Error("try statement without catch or finally"); if (this.prev < i.finallyLoc) return handle(i.finallyLoc); } } } }, abrupt: function abrupt(t, e) { for (var r = this.tryEntries.length - 1; r >= 0; --r) { var o = this.tryEntries[r]; if (o.tryLoc <= this.prev && n.call(o, "finallyLoc") && this.prev < o.finallyLoc) { var i = o; break; } } i && ("break" === t || "continue" === t) && i.tryLoc <= e && e <= i.finallyLoc && (i = null); var a = i ? i.completion : {}; return a.type = t, a.arg = e, i ? (this.method = "next", this.next = i.finallyLoc, y) : this.complete(a); }, complete: function complete(t, e) { if ("throw" === t.type) throw t.arg; return "break" === t.type || "continue" === t.type ? this.next = t.arg : "return" === t.type ? (this.rval = this.arg = t.arg, this.method = "return", this.next = "end") : "normal" === t.type && e && (this.next = e), y; }, finish: function finish(t) { for (var e = this.tryEntries.length - 1; e >= 0; --e) { var r = this.tryEntries[e]; if (r.finallyLoc === t) return this.complete(r.completion, r.afterLoc), resetTryEntry(r), y; } }, catch: function _catch(t) { for (var e = this.tryEntries.length - 1; e >= 0; --e) { var r = this.tryEntries[e]; if (r.tryLoc === t) { var n = r.completion; if ("throw" === n.type) { var o = n.arg; resetTryEntry(r); } return o; } } throw Error("illegal catch attempt"); }, delegateYield: function delegateYield(e, r, n) { return this.delegate = { iterator: values(e), resultName: r, nextLoc: n }, "next" === this.method && (this.arg = t), y; } }, e; }
function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { _defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
function _defineProperty(obj, key, value) { key = _toPropertyKey(key); if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == _typeof(i) ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != _typeof(t) || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != _typeof(i)) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
function asyncGeneratorStep(gen, resolve, reject, _next, _throw, key, arg) { try { var info = gen[key](arg); var value = info.value; } catch (error) { reject(error); return; } if (info.done) { resolve(value); } else { Promise.resolve(value).then(_next, _throw); } }
function _asyncToGenerator(fn) { return function () { var self = this, args = arguments; return new Promise(function (resolve, reject) { var gen = fn.apply(self, args); function _next(value) { asyncGeneratorStep(gen, resolve, reject, _next, _throw, "next", value); } function _throw(err) { asyncGeneratorStep(gen, resolve, reject, _next, _throw, "throw", err); } _next(undefined); }); }; }
var env = envfile.parseFileSync(path.resolve("", ".env"));
var extraConfigInfo = {
  pinScenario: null,
  pinService: null,
  oneClickScenario: null,
  oneClickService: null,
  moScenario: null,
  moService: null,
  click2smsScenario: null,
  click2smsService: null,
  moRedirScenario: null,
  moRedirService: null,
  ussdScenario: null,
  ussdService: null,
  tpayHeScenario: null,
  tpayHeService: null
};
function _default(_x) {
  return _ref.apply(this, arguments);
}
function _ref() {
  _ref = _asyncToGenerator( /*#__PURE__*/_regeneratorRuntime().mark(function _callee(page_type) {
    var result, data, countries, _yield$inquirer$promp, country, stategies, _yield$inquirer$promp2, strategy, strategyConfigs, configString, _yield$inquirer$promp3, scenariosConfig, newExtraConfigObj, extraConfigKeyArr, defaultFlow, operators, operatorsArr, updatedEnvContent, configObj;
    return _regeneratorRuntime().wrap(function _callee$(_context) {
      while (1) switch (_context.prev = _context.next) {
        case 0:
          _context.next = 2;
          return (0, _axios.default)({
            url: "http://c1.ouisys.com/api/v1/get-strategies-config",
            //url:'http://localhost:3030/api/v1/get-page-legals',
            method: "get"
          });
        case 2:
          result = _context.sent;
          data = result.data;
          countries = R.pipe(R.map(function (o) {
            return o.country;
          }), R.uniq, R.sortBy(function (x) {
            return x;
          }), function (xs) {
            return (!!env.country ? [env.country] : []).concat(xs);
          })(data);
          console.log("You are configuring '".concat(page_type, "' template."));
          // first choose a country
          _context.next = 8;
          return _inquirer.default.prompt([{
            type: "list",
            name: "country",
            message: "First select a country. ".concat(env.country ? "Current country: ".concat(env.country) : ""),
            choices: countries.map(function (c) {
              return {
                name: c,
                value: c
              };
            })
          }]);
        case 8:
          _yield$inquirer$promp = _context.sent;
          country = _yield$inquirer$promp.country;
          stategies = R.pipe(R.filter(function (x) {
            return x.country == country;
          }), R.map(function (o) {
            return o.strategy;
          }), R.uniq, R.sortBy(function (x) {
            return x;
          }))(data);
          _context.next = 13;
          return _inquirer.default.prompt([{
            type: "list",
            name: "strategy",
            message: "Now select a strategy for ".concat(country),
            choices: stategies.map(function (s) {
              return {
                name: s,
                value: s
              };
            })
          }]);
        case 13:
          _yield$inquirer$promp2 = _context.sent;
          strategy = _yield$inquirer$promp2.strategy;
          strategyConfigs = R.pipe(R.filter(function (x) {
            return x.country == country && x.strategy == strategy;
          }), R.map(function (o) {
            return o;
          }))(data);
          configString = function configString(s) {
            var operators = s.scenario_config.operators;
            var operatorsArray = Object.keys(operators);
            var defaultFlow = s.scenario_config;
            if (!!operatorsArray && operatorsArray.length > 0) {
              return operatorsArray.map(function (o, i) {
                var _operators$o;
                extraConfigInfo["".concat(operators[o].flow, "Scenario")] = operators[o].flowConfig.slug;
                extraConfigInfo["".concat(operators[o].flow, "Service")] = operators[o].flowConfig.service;
                return JSON.stringify({
                  operator: o,
                  flow: operators[o].flow,
                  flowOnWifi: ((_operators$o = operators[o]) === null || _operators$o === void 0 ? void 0 : _operators$o.flowOnWifi) || null,
                  scenario: operators[o].flowConfig.slug,
                  service: operators[o].flowConfig.service
                }, null, 4);
                // `${(i != 0) ? "| \n" : ""}OPERATOR:${o} FLOW: ${operators[o].flow.toUpperCase()} => SCENARIO: ${operators[o].flowConfig.slug} SERVICE: ${operators[o].flowConfig.service}}`
              });
            } else {
              return JSON.stringify({
                flow: defaultFlow.default.flow,
                scenario: defaultFlow.default.flowConfig.slug,
                service: defaultFlow.default.flowConfig.service
              }, null, 4);
              //`FLOW: ${defaultFlow.default.flow.toUpperCase()} => SCENARIO: ${defaultFlow.default.flowConfig.slug} SERVICE: ${defaultFlow.default.flowConfig.service}}`
            }
          };
          _context.next = 19;
          return _inquirer.default.prompt([{
            type: "list",
            name: "scenariosConfig",
            message: "Now select scenarios for the strategy ".concat(strategy),
            // choices: strategyConfigs.map(s => ({
            //   name: `${strategy} [${configString(s)}]`,
            //   value:s
            // }))
            pageSize: 1000,
            choices: strategyConfigs.map(function (s, i) {
              return {
                name: "(".concat(i + 1, ") UNIQUE CONFIGURATION STRING: ").concat(s.scenario_config_name, "\n [").concat(configString(s), "]\n \n \n"),
                value: s
              };
            })
          }]);
        case 19:
          _yield$inquirer$promp3 = _context.sent;
          scenariosConfig = _yield$inquirer$promp3.scenariosConfig;
          // REMOVE HOST FROM ALL OPERATORS
          Object.keys(scenariosConfig.scenario_config.operators).map(function (o) {
            scenariosConfig.scenario_config.operators[o].flowConfig.host = "";
          });
          scenariosConfig.scenario_config.default.flowConfig.host = "";
          // END REMOVE HOST FROM ALL OPERATORS
          newExtraConfigObj = {};
          extraConfigKeyArr = Object.keys(extraConfigInfo);
          extraConfigKeyArr.filter(function (k) {
            return extraConfigInfo[k] !== null;
          }).map(function (e) {
            return newExtraConfigObj[e] = extraConfigInfo[e];
          });
          defaultFlow = scenariosConfig.scenario_config;
          operators = scenariosConfig.scenario_config.operators;
          operatorsArr = Object.values(operators);
          if (!!operatorsArr && operatorsArr.length > 0) {
            operatorsArr.map(function (obj) {
              var flowConfig = obj.flowConfig;
              newExtraConfigObj["".concat(obj.flow, "Scenario")] = flowConfig.slug;
              newExtraConfigObj["".concat(obj.flow, "Service")] = flowConfig.service;
              if (obj.flowOnWifi) {
                newExtraConfigObj["".concat(obj.flowOnWifi, "Scenario")] = flowConfig.slug;
                newExtraConfigObj["".concat(obj.flowOnWifi, "Service")] = flowConfig.service;
              }
              //eg pinScenario=something
              newExtraConfigObj["".concat(defaultFlow.default.flow, "Scenario")] = defaultFlow.default.flowConfig.slug;
              newExtraConfigObj["".concat(defaultFlow.default.flow, "Service")] = defaultFlow.default.flowConfig.service;
              newExtraConfigObj["defaultScenario"] = defaultFlow.default.flowConfig.slug;
              newExtraConfigObj["defaultService"] = defaultFlow.default.flowConfig.service;
            });
          } else {
            newExtraConfigObj["defaultScenario"] = defaultFlow.default.flowConfig.slug;
            newExtraConfigObj["defaultService"] = defaultFlow.default.flowConfig.service;
          }

          //clean env of scenarios we dont need
          extraConfigKeyArr.map(function (e) {
            delete env[e];
          });
          updatedEnvContent = envfile.stringifySync(_objectSpread(_objectSpread(_objectSpread({}, env), newExtraConfigObj), {}, {
            country: country,
            strategy: strategy,
            scenariosConfig: scenariosConfig.scenario_config_name
          }));
          configObj = {
            strategy: strategy,
            country: country,
            strategyConfigs: scenariosConfig.scenario_config
          };
          console.log("✅ SELECTED CONFIGURATION ✅");
          console.log(JSON.stringify(configObj, null, 2));
          fs.writeFileSync(path.resolve("", "config.json"), JSON.stringify(configObj, null, 2), "utf8");
          fs.writeFileSync(path.resolve("", ".env"), updatedEnvContent, "utf8");
          (0, _createFlowManifest.createManifest)();
        case 38:
        case "end":
          return _context.stop();
      }
    }, _callee);
  }));
  return _ref.apply(this, arguments);
}