"use strict";

require("core-js/modules/es.json.stringify.js");
var _fs = require("fs");
var cheerio = require('cheerio');
var $ = cheerio.load((0, _fs.readFileSync)("./src/index.html", 'utf8'));
var itemsToTranslate = [];
$("translate").each(function (_, el) {
  itemsToTranslate.push({
    "id": $(el).attr('id'),
    "defaultMessage": $(el).text()
  });
});
(0, _fs.writeFileSync)('./src/localization/extractedMessages/src/html.json', JSON.stringify(itemsToTranslate, null, 2), "utf8");