"use strict";

function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
require("core-js/modules/es.symbol.js");
require("core-js/modules/es.symbol.description.js");
require("core-js/modules/es.symbol.async-iterator.js");
require("core-js/modules/es.symbol.iterator.js");
require("core-js/modules/es.symbol.to-string-tag.js");
require("core-js/modules/es.array.from.js");
require("core-js/modules/es.array.iterator.js");
require("core-js/modules/es.array.slice.js");
require("core-js/modules/es.json.to-string-tag.js");
require("core-js/modules/es.math.to-string-tag.js");
require("core-js/modules/es.object.freeze.js");
require("core-js/modules/es.object.get-own-property-descriptor.js");
require("core-js/modules/es.object.get-prototype-of.js");
require("core-js/modules/es.object.set-prototype-of.js");
require("core-js/modules/es.regexp.test.js");
require("core-js/modules/es.regexp.to-string.js");
require("core-js/modules/es.string.iterator.js");
require("core-js/modules/es.weak-map.js");
require("core-js/modules/web.dom-collections.iterator.js");
require("core-js/modules/es.array.concat.js");
require("core-js/modules/es.array.filter.js");
require("core-js/modules/es.array.find.js");
require("core-js/modules/es.array.includes.js");
require("core-js/modules/es.array.join.js");
require("core-js/modules/es.array.map.js");
require("core-js/modules/es.function.name.js");
require("core-js/modules/es.json.stringify.js");
require("core-js/modules/es.object.to-string.js");
require("core-js/modules/es.promise.js");
require("core-js/modules/es.regexp.exec.js");
require("core-js/modules/es.string.includes.js");
require("core-js/modules/web.dom-collections.for-each.js");
var _ramda = _interopRequireDefault(require("ramda"));
var _tsSimpleAst = _interopRequireWildcard(require("ts-simple-ast"));
var _path = _interopRequireDefault(require("path"));
var _fs = _interopRequireDefault(require("fs"));
var _locales = _interopRequireDefault(require("./locales.json"));
var inquirer = _interopRequireWildcard(require("inquirer"));
var _glob = _interopRequireDefault(require("glob"));
var _translateByYandex = require("./translate-by-yandex");
var _tinyAsyncPool = _interopRequireDefault(require("tiny-async-pool"));
var _dedentJs = _interopRequireDefault(require("dedent-js"));
var _templateObject, _templateObject2, _templateObject3;
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != _typeof(e) && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _regeneratorRuntime() { "use strict"; /*! regenerator-runtime -- Copyright (c) 2014-present, Facebook, Inc. -- license (MIT): https://github.com/facebook/regenerator/blob/main/LICENSE */ _regeneratorRuntime = function _regeneratorRuntime() { return e; }; var t, e = {}, r = Object.prototype, n = r.hasOwnProperty, o = Object.defineProperty || function (t, e, r) { t[e] = r.value; }, i = "function" == typeof Symbol ? Symbol : {}, a = i.iterator || "@@iterator", c = i.asyncIterator || "@@asyncIterator", u = i.toStringTag || "@@toStringTag"; function define(t, e, r) { return Object.defineProperty(t, e, { value: r, enumerable: !0, configurable: !0, writable: !0 }), t[e]; } try { define({}, ""); } catch (t) { define = function define(t, e, r) { return t[e] = r; }; } function wrap(t, e, r, n) { var i = e && e.prototype instanceof Generator ? e : Generator, a = Object.create(i.prototype), c = new Context(n || []); return o(a, "_invoke", { value: makeInvokeMethod(t, r, c) }), a; } function tryCatch(t, e, r) { try { return { type: "normal", arg: t.call(e, r) }; } catch (t) { return { type: "throw", arg: t }; } } e.wrap = wrap; var h = "suspendedStart", l = "suspendedYield", f = "executing", s = "completed", y = {}; function Generator() {} function GeneratorFunction() {} function GeneratorFunctionPrototype() {} var p = {}; define(p, a, function () { return this; }); var d = Object.getPrototypeOf, v = d && d(d(values([]))); v && v !== r && n.call(v, a) && (p = v); var g = GeneratorFunctionPrototype.prototype = Generator.prototype = Object.create(p); function defineIteratorMethods(t) { ["next", "throw", "return"].forEach(function (e) { define(t, e, function (t) { return this._invoke(e, t); }); }); } function AsyncIterator(t, e) { function invoke(r, o, i, a) { var c = tryCatch(t[r], t, o); if ("throw" !== c.type) { var u = c.arg, h = u.value; return h && "object" == _typeof(h) && n.call(h, "__await") ? e.resolve(h.__await).then(function (t) { invoke("next", t, i, a); }, function (t) { invoke("throw", t, i, a); }) : e.resolve(h).then(function (t) { u.value = t, i(u); }, function (t) { return invoke("throw", t, i, a); }); } a(c.arg); } var r; o(this, "_invoke", { value: function value(t, n) { function callInvokeWithMethodAndArg() { return new e(function (e, r) { invoke(t, n, e, r); }); } return r = r ? r.then(callInvokeWithMethodAndArg, callInvokeWithMethodAndArg) : callInvokeWithMethodAndArg(); } }); } function makeInvokeMethod(e, r, n) { var o = h; return function (i, a) { if (o === f) throw Error("Generator is already running"); if (o === s) { if ("throw" === i) throw a; return { value: t, done: !0 }; } for (n.method = i, n.arg = a;;) { var c = n.delegate; if (c) { var u = maybeInvokeDelegate(c, n); if (u) { if (u === y) continue; return u; } } if ("next" === n.method) n.sent = n._sent = n.arg;else if ("throw" === n.method) { if (o === h) throw o = s, n.arg; n.dispatchException(n.arg); } else "return" === n.method && n.abrupt("return", n.arg); o = f; var p = tryCatch(e, r, n); if ("normal" === p.type) { if (o = n.done ? s : l, p.arg === y) continue; return { value: p.arg, done: n.done }; } "throw" === p.type && (o = s, n.method = "throw", n.arg = p.arg); } }; } function maybeInvokeDelegate(e, r) { var n = r.method, o = e.iterator[n]; if (o === t) return r.delegate = null, "throw" === n && e.iterator.return && (r.method = "return", r.arg = t, maybeInvokeDelegate(e, r), "throw" === r.method) || "return" !== n && (r.method = "throw", r.arg = new TypeError("The iterator does not provide a '" + n + "' method")), y; var i = tryCatch(o, e.iterator, r.arg); if ("throw" === i.type) return r.method = "throw", r.arg = i.arg, r.delegate = null, y; var a = i.arg; return a ? a.done ? (r[e.resultName] = a.value, r.next = e.nextLoc, "return" !== r.method && (r.method = "next", r.arg = t), r.delegate = null, y) : a : (r.method = "throw", r.arg = new TypeError("iterator result is not an object"), r.delegate = null, y); } function pushTryEntry(t) { var e = { tryLoc: t[0] }; 1 in t && (e.catchLoc = t[1]), 2 in t && (e.finallyLoc = t[2], e.afterLoc = t[3]), this.tryEntries.push(e); } function resetTryEntry(t) { var e = t.completion || {}; e.type = "normal", delete e.arg, t.completion = e; } function Context(t) { this.tryEntries = [{ tryLoc: "root" }], t.forEach(pushTryEntry, this), this.reset(!0); } function values(e) { if (e || "" === e) { var r = e[a]; if (r) return r.call(e); if ("function" == typeof e.next) return e; if (!isNaN(e.length)) { var o = -1, i = function next() { for (; ++o < e.length;) if (n.call(e, o)) return next.value = e[o], next.done = !1, next; return next.value = t, next.done = !0, next; }; return i.next = i; } } throw new TypeError(_typeof(e) + " is not iterable"); } return GeneratorFunction.prototype = GeneratorFunctionPrototype, o(g, "constructor", { value: GeneratorFunctionPrototype, configurable: !0 }), o(GeneratorFunctionPrototype, "constructor", { value: GeneratorFunction, configurable: !0 }), GeneratorFunction.displayName = define(GeneratorFunctionPrototype, u, "GeneratorFunction"), e.isGeneratorFunction = function (t) { var e = "function" == typeof t && t.constructor; return !!e && (e === GeneratorFunction || "GeneratorFunction" === (e.displayName || e.name)); }, e.mark = function (t) { return Object.setPrototypeOf ? Object.setPrototypeOf(t, GeneratorFunctionPrototype) : (t.__proto__ = GeneratorFunctionPrototype, define(t, u, "GeneratorFunction")), t.prototype = Object.create(g), t; }, e.awrap = function (t) { return { __await: t }; }, defineIteratorMethods(AsyncIterator.prototype), define(AsyncIterator.prototype, c, function () { return this; }), e.AsyncIterator = AsyncIterator, e.async = function (t, r, n, o, i) { void 0 === i && (i = Promise); var a = new AsyncIterator(wrap(t, r, n, o), i); return e.isGeneratorFunction(r) ? a : a.next().then(function (t) { return t.done ? t.value : a.next(); }); }, defineIteratorMethods(g), define(g, u, "Generator"), define(g, a, function () { return this; }), define(g, "toString", function () { return "[object Generator]"; }), e.keys = function (t) { var e = Object(t), r = []; for (var n in e) r.push(n); return r.reverse(), function next() { for (; r.length;) { var t = r.pop(); if (t in e) return next.value = t, next.done = !1, next; } return next.done = !0, next; }; }, e.values = values, Context.prototype = { constructor: Context, reset: function reset(e) { if (this.prev = 0, this.next = 0, this.sent = this._sent = t, this.done = !1, this.delegate = null, this.method = "next", this.arg = t, this.tryEntries.forEach(resetTryEntry), !e) for (var r in this) "t" === r.charAt(0) && n.call(this, r) && !isNaN(+r.slice(1)) && (this[r] = t); }, stop: function stop() { this.done = !0; var t = this.tryEntries[0].completion; if ("throw" === t.type) throw t.arg; return this.rval; }, dispatchException: function dispatchException(e) { if (this.done) throw e; var r = this; function handle(n, o) { return a.type = "throw", a.arg = e, r.next = n, o && (r.method = "next", r.arg = t), !!o; } for (var o = this.tryEntries.length - 1; o >= 0; --o) { var i = this.tryEntries[o], a = i.completion; if ("root" === i.tryLoc) return handle("end"); if (i.tryLoc <= this.prev) { var c = n.call(i, "catchLoc"), u = n.call(i, "finallyLoc"); if (c && u) { if (this.prev < i.catchLoc) return handle(i.catchLoc, !0); if (this.prev < i.finallyLoc) return handle(i.finallyLoc); } else if (c) { if (this.prev < i.catchLoc) return handle(i.catchLoc, !0); } else { if (!u) throw Error("try statement without catch or finally"); if (this.prev < i.finallyLoc) return handle(i.finallyLoc); } } } }, abrupt: function abrupt(t, e) { for (var r = this.tryEntries.length - 1; r >= 0; --r) { var o = this.tryEntries[r]; if (o.tryLoc <= this.prev && n.call(o, "finallyLoc") && this.prev < o.finallyLoc) { var i = o; break; } } i && ("break" === t || "continue" === t) && i.tryLoc <= e && e <= i.finallyLoc && (i = null); var a = i ? i.completion : {}; return a.type = t, a.arg = e, i ? (this.method = "next", this.next = i.finallyLoc, y) : this.complete(a); }, complete: function complete(t, e) { if ("throw" === t.type) throw t.arg; return "break" === t.type || "continue" === t.type ? this.next = t.arg : "return" === t.type ? (this.rval = this.arg = t.arg, this.method = "return", this.next = "end") : "normal" === t.type && e && (this.next = e), y; }, finish: function finish(t) { for (var e = this.tryEntries.length - 1; e >= 0; --e) { var r = this.tryEntries[e]; if (r.finallyLoc === t) return this.complete(r.completion, r.afterLoc), resetTryEntry(r), y; } }, catch: function _catch(t) { for (var e = this.tryEntries.length - 1; e >= 0; --e) { var r = this.tryEntries[e]; if (r.tryLoc === t) { var n = r.completion; if ("throw" === n.type) { var o = n.arg; resetTryEntry(r); } return o; } } throw Error("illegal catch attempt"); }, delegateYield: function delegateYield(e, r, n) { return this.delegate = { iterator: values(e), resultName: r, nextLoc: n }, "next" === this.method && (this.arg = t), y; } }, e; }
function _taggedTemplateLiteral(strings, raw) { if (!raw) { raw = strings.slice(0); } return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }
function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }
function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }
function _iterableToArrayLimit(r, l) { var t = null == r ? null : "undefined" != typeof Symbol && r[Symbol.iterator] || r["@@iterator"]; if (null != t) { var e, n, i, u, a = [], f = !0, o = !1; try { if (i = (t = t.call(r)).next, 0 === l) { if (Object(t) !== t) return; f = !1; } else for (; !(f = (e = i.call(t)).done) && (a.push(e.value), a.length !== l); f = !0); } catch (r) { o = !0, n = r; } finally { try { if (!f && null != t.return && (u = t.return(), Object(u) !== u)) return; } finally { if (o) throw n; } } return a; } }
function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }
function _toConsumableArray(arr) { return _arrayWithoutHoles(arr) || _iterableToArray(arr) || _unsupportedIterableToArray(arr) || _nonIterableSpread(); }
function _nonIterableSpread() { throw new TypeError("Invalid attempt to spread non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }
function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }
function _iterableToArray(iter) { if (typeof Symbol !== "undefined" && iter[Symbol.iterator] != null || iter["@@iterator"] != null) return Array.from(iter); }
function _arrayWithoutHoles(arr) { if (Array.isArray(arr)) return _arrayLikeToArray(arr); }
function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) arr2[i] = arr[i]; return arr2; }
function asyncGeneratorStep(gen, resolve, reject, _next, _throw, key, arg) { try { var info = gen[key](arg); var value = info.value; } catch (error) { reject(error); return; } if (info.done) { resolve(value); } else { Promise.resolve(value).then(_next, _throw); } }
function _asyncToGenerator(fn) { return function () { var self = this, args = arguments; return new Promise(function (resolve, reject) { var gen = fn.apply(self, args); function _next(value) { asyncGeneratorStep(gen, resolve, reject, _next, _throw, "next", value); } function _throw(err) { asyncGeneratorStep(gen, resolve, reject, _next, _throw, "throw", err); } _next(undefined); }); }; }
// -- UI functions:

var entryPath = "./src";
function selectLocales(_x) {
  return _selectLocales.apply(this, arguments);
}
function _selectLocales() {
  _selectLocales = _asyncToGenerator( /*#__PURE__*/_regeneratorRuntime().mark(function _callee(currentLocales) {
    var _ref, locales, confirm;
    return _regeneratorRuntime().wrap(function _callee$(_context) {
      while (1) switch (_context.prev = _context.next) {
        case 0:
          _context.next = 2;
          return inquirer.prompt([{
            type: "checkbox",
            name: "locales",
            message: "Which locales do you want to support?",
            choices: _ramda.default.toPairs(_locales.default).map(function (_ref2) {
              var _ref3 = _slicedToArray(_ref2, 2),
                key = _ref3[0],
                l = _ref3[1];
              return {
                name: "".concat(l.name, " (").concat(key, ")"),
                value: key,
                checked: currentLocales.some(function (c) {
                  return c == key;
                })
              };
            }),
            validate: function validate(locales) {
              return locales.some(function (l) {
                return l == "en";
              }) ? true : "🇬🇧  You must select English!";
            }
          }, {
            type: "confirm",
            name: "confirm",
            message: function message(_ref4) {
              var locales = _ref4.locales;
              var newLangs = locales.filter(function (l) {
                return !currentLocales.some(function (c) {
                  return c == l;
                });
              });
              var delLangs = currentLocales.filter(function (c) {
                return !locales.some(function (l) {
                  return c == l;
                });
              });
              return (0, _dedentJs.default)(_templateObject || (_templateObject = _taggedTemplateLiteral(["Are you sure you want to \n          + add    ", "\n          - remove ", "\n      and modify page?\n      "])), newLangs.length == 0 ? "(No new languages)" : newLangs.map(function (l) {
                return "".concat(_locales.default[l].name, " (").concat(l, ")");
              }).join(" and "), delLangs.length == 0 ? "(Nothing)" : delLangs.map(function (l) {
                return "".concat(_locales.default[l].name, " (").concat(l, ")");
              }).join(" and "));
            }
          }]);
        case 2:
          _ref = _context.sent;
          locales = _ref.locales;
          confirm = _ref.confirm;
          if (confirm) {
            _context.next = 9;
            break;
          }
          return _context.abrupt("return", selectLocales(currentLocales));
        case 9:
          console.log("☑️ selectLocales() completed.");
          return _context.abrupt("return", locales);
        case 11:
        case "end":
          return _context.stop();
      }
    }, _callee);
  }));
  return _selectLocales.apply(this, arguments);
}
function handleMissingTranslations(_x2) {
  return _handleMissingTranslations.apply(this, arguments);
}
function _handleMissingTranslations() {
  _handleMissingTranslations = _asyncToGenerator( /*#__PURE__*/_regeneratorRuntime().mark(function _callee2(localesWithMissingTranslations) {
    var _ref5, translationOption, result;
    return _regeneratorRuntime().wrap(function _callee2$(_context2) {
      while (1) switch (_context2.prev = _context2.next) {
        case 0:
          if (!(localesWithMissingTranslations.length > 0)) {
            _context2.next = 18;
            break;
          }
          _context2.next = 3;
          return inquirer.prompt([{
            type: "list",
            name: "translationOption",
            message: (0, _dedentJs.default)(_templateObject2 || (_templateObject2 = _taggedTemplateLiteral(["JSON files for these languages are missing.\n           ", "\n        Select an option to proceed:"])), localesWithMissingTranslations.map(function (l) {
              return "".concat(_locales.default[l].name, " (").concat(l, ")");
            }).join(", ")),
            choices: [{
              name: "Just clonse en.json.",
              value: "fromEn",
              checked: true
            }, {
              name: "Use Yandex to translate en.json.",
              value: "yandex"
            }]
          }]);
        case 3:
          _ref5 = _context2.sent;
          translationOption = _ref5.translationOption;
          _context2.next = 7;
          return translationOption;
        case 7:
          _context2.t0 = _context2.sent;
          if (!(_context2.t0 == "fromEn")) {
            _context2.next = 12;
            break;
          }
          _context2.t1 = createTranslationJSONFilesFromEN(localesWithMissingTranslations);
          _context2.next = 13;
          break;
        case 12:
          _context2.t1 = translate(localesWithMissingTranslations);
        case 13:
          result = _context2.t1;
          console.log("☑️ handleMissingTranslations() completed.");
          return _context2.abrupt("return", result);
        case 18:
          console.log("☑️ All selected languages already have a JSON file.");
          return _context2.abrupt("return", []);
        case 20:
        case "end":
          return _context2.stop();
      }
    }, _callee2);
  }));
  return _handleMissingTranslations.apply(this, arguments);
}
function main() {
  return _main.apply(this, arguments);
} // -- lib functions:
function _main() {
  _main = _asyncToGenerator( /*#__PURE__*/_regeneratorRuntime().mark(function _callee3() {
    var _processPage, currentLocales, sourceFile, localeStatements, locales, localesWithMissingTranslations, updatedLocaleFile;
    return _regeneratorRuntime().wrap(function _callee3$(_context3) {
      while (1) switch (_context3.prev = _context3.next) {
        case 0:
          _processPage = processPage(), currentLocales = _processPage.currentLocales, sourceFile = _processPage.sourceFile, localeStatements = _processPage.localeStatements;
          _context3.next = 3;
          return selectLocales(currentLocales);
        case 3:
          locales = _context3.sent;
          _context3.next = 6;
          return getLocalesWithMissingTranslationJSONFiles(locales);
        case 6:
          localesWithMissingTranslations = _context3.sent;
          _context3.next = 9;
          return handleMissingTranslations(localesWithMissingTranslations);
        case 9:
          _context3.next = 11;
          return modifyAddLocaleDataFile(sourceFile, currentLocales, locales, localeStatements);
        case 11:
          updatedLocaleFile = _context3.sent;
          console.log((0, _dedentJs.default)(_templateObject3 || (_templateObject3 = _taggedTemplateLiteral(["\u2611\uFE0F addLocaleData.ts file updated:\n  -----\n  ", "\n  ----"])), updatedLocaleFile.split("\n").map(function (x) {
            return "     ".concat(x);
          }).join("\n")));
          return _context3.abrupt("return", "\n\u2705 ".concat(locales.join(", "), " locales have been updated succesfully \n\uD83D\uDE0A"));
        case 14:
        case "end":
          return _context3.stop();
      }
    }, _callee3);
  }));
  return _main.apply(this, arguments);
}
function getLocalesWithMissingTranslationJSONFiles(_x3) {
  return _getLocalesWithMissingTranslationJSONFiles.apply(this, arguments);
}
function _getLocalesWithMissingTranslationJSONFiles() {
  _getLocalesWithMissingTranslationJSONFiles = _asyncToGenerator( /*#__PURE__*/_regeneratorRuntime().mark(function _callee4(locales) {
    var toPromise, root, files, missingLocaleJSONS;
    return _regeneratorRuntime().wrap(function _callee4$(_context4) {
      while (1) switch (_context4.prev = _context4.next) {
        case 0:
          toPromise = function toPromise(f) {
            return function () {
              for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
                args[_key] = arguments[_key];
              }
              return new Promise(function (resolve, reject) {
                f.apply(void 0, args.concat([function (err, res) {
                  return !!err ? reject(err) : resolve(res);
                }]));
              });
            };
          };
          root = entryPath;
          _context4.next = 4;
          return toPromise(_glob.default)(_path.default.resolve(root, "localization/translations/*.json"), {});
        case 4:
          files = _context4.sent;
          missingLocaleJSONS = locales.filter(function (l) {
            return !_ramda.default.includes(l, files.map(function (f) {
              return _path.default.basename(f).split(".")[0];
            }));
          });
          return _context4.abrupt("return", missingLocaleJSONS);
        case 7:
        case "end":
          return _context4.stop();
      }
    }, _callee4);
  }));
  return _getLocalesWithMissingTranslationJSONFiles.apply(this, arguments);
}
function createTranslationJSONFilesFromEN(_x4) {
  return _createTranslationJSONFilesFromEN.apply(this, arguments);
}
function _createTranslationJSONFilesFromEN() {
  _createTranslationJSONFilesFromEN = _asyncToGenerator( /*#__PURE__*/_regeneratorRuntime().mark(function _callee5(locales) {
    var root, en;
    return _regeneratorRuntime().wrap(function _callee5$(_context5) {
      while (1) switch (_context5.prev = _context5.next) {
        case 0:
          root = entryPath;
          en = require(_path.default.resolve(root, "localization/translations/en.json"));
          locales.forEach(function (l) {
            var content = JSON.stringify(_ramda.default.map(function (v) {
              return "".concat(l, ":: ").concat(v);
            })(en), null, 2);
            var filePath = _path.default.resolve(root, "localization/translations/".concat(l, ".json"));
            _fs.default.writeFileSync(filePath, content, "utf8");
            console.log("Created: ".concat(filePath));
          });
          return _context5.abrupt("return", locales);
        case 4:
        case "end":
          return _context5.stop();
      }
    }, _callee5);
  }));
  return _createTranslationJSONFilesFromEN.apply(this, arguments);
}
function translate(_x5) {
  return _translate.apply(this, arguments);
} // -- AST functions:
function _translate() {
  _translate = _asyncToGenerator( /*#__PURE__*/_regeneratorRuntime().mark(function _callee7(locales) {
    var root, en, result;
    return _regeneratorRuntime().wrap(function _callee7$(_context7) {
      while (1) switch (_context7.prev = _context7.next) {
        case 0:
          root = entryPath;
          en = require(_path.default.resolve(root, "localization/translations/en.json"));
          _context7.next = 4;
          return (0, _tinyAsyncPool.default)(1, locales, /*#__PURE__*/function () {
            var _ref6 = _asyncToGenerator( /*#__PURE__*/_regeneratorRuntime().mark(function _callee6(l) {
              var translation, content, filePath;
              return _regeneratorRuntime().wrap(function _callee6$(_context6) {
                while (1) switch (_context6.prev = _context6.next) {
                  case 0:
                    _context6.next = 2;
                    return (0, _translateByYandex.translateHash)("en", l, en);
                  case 2:
                    translation = _context6.sent;
                    content = JSON.stringify(translation, null, 2);
                    filePath = _path.default.resolve(root, "localization/translations/".concat(l, ".json"));
                    _fs.default.writeFileSync(filePath, content, "utf8");
                    console.log("Created: ".concat(filePath));
                    return _context6.abrupt("return", l);
                  case 8:
                  case "end":
                    return _context6.stop();
                }
              }, _callee6);
            }));
            return function (_x6) {
              return _ref6.apply(this, arguments);
            };
          }());
        case 4:
          result = _context7.sent;
          return _context7.abrupt("return", result);
        case 6:
        case "end":
          return _context7.stop();
      }
    }, _callee7);
  }));
  return _translate.apply(this, arguments);
}
function processPage() {
  var ast = new _tsSimpleAst.default();
  var sourceFile = ast.addExistingSourceFile("./src/localization/addLocaleData.ts");
  var processImportDecleration = function processImportDecleration(s) {
    var lit = s.getModuleSpecifier().getLiteralValue();
    var tryMatch = function tryMatch(regex) {
      var match = regex.exec(lit);
      return !!match ? match[1] : null;
    };
    var locale = tryMatch(/react\-intl\/locale\-data\/(\w\w)/gm) || tryMatch(/\/translations\/(\w\w).json/);
    var name = s.getImportClause().getText();
    if (!!locale) {
      return {
        module: lit,
        name: name,
        locale: locale,
        s: s,
        kind: _tsSimpleAst.SyntaxKind.ImportDeclaration
      };
    } else {
      return {
        module: lit,
        name: name,
        s: s,
        kind: _tsSimpleAst.SyntaxKind.ImportDeclaration
      };
    }
  };
  var processExpression = function processExpression(s, imports) {
    return s.getExpression().getKind() == _tsSimpleAst.SyntaxKind.CallExpression ? processCallExpression(s, s.getExpression(), imports) : null;
  };
  var processCallExpression = function processCallExpression(s, p, imports) {
    var args = p.getArguments().map(function (a) {
      return a.getText();
    });
    var fn = p.getExpression().getText();
    var localeImpprt = imports.find(function (i) {
      return !!i.locale && args.some(function (a) {
        return a == i.name;
      });
    });
    return !!localeImpprt ? {
      fn: fn,
      args: args,
      locale: localeImpprt.locale,
      s: s
    } : {
      fn: fn,
      args: args,
      s: s
    };
  };
  var processExportDecleration = function processExportDecleration(s, imports) {
    var names = s.getNamedExports().map(function (n) {
      return n.getText();
    });
    return names.length == 1 && imports.some(function (i) {
      return i.name == names[0];
    }) ? {
      exports: names,
      locale: names[0],
      s: s
    } : {
      exports: names,
      s: s
    };
  };
  var statements = sourceFile.getStatements();
  var importStatements = statements.filter(function (s) {
    return s.getKind() == _tsSimpleAst.SyntaxKind.ImportDeclaration;
  }).map(function (s) {
    return processImportDecleration(s);
  }).filter(function (s) {
    return !!s && !!s.locale;
  });
  var exportStatements = statements.filter(function (s) {
    return s.getKind() == _tsSimpleAst.SyntaxKind.ExportDeclaration;
  }).map(function (s) {
    return processExportDecleration(s, importStatements);
  }).filter(function (s) {
    return !!s && !!s.locale;
  });
  var callStatements = statements.filter(function (s) {
    return s.getKind() == _tsSimpleAst.SyntaxKind.ExpressionStatement;
  }).map(function (s) {
    return processExpression(s, importStatements);
  }).filter(function (s) {
    return !!s && !!s.locale;
  });
  var localeStatements = [].concat(_toConsumableArray(importStatements), _toConsumableArray(exportStatements), _toConsumableArray(callStatements));
  var currentLocales = _ramda.default.uniq(localeStatements.map(function (l) {
    return l.locale;
  }));
  return {
    currentLocales: currentLocales,
    sourceFile: sourceFile,
    localeStatements: localeStatements
  };
}
function modifyAddLocaleDataFile(sourceFile, currentLocales, localesToSupport, localeStatements) {
  var missingLocales = localesToSupport.filter(function (s) {
    return !currentLocales.some(function (l) {
      return l == s;
    });
  });
  function isPackageInstalled(packageName) {
    try {
      _fs.default.accessSync("./node_modules/".concat(packageName));
      return true;
    } catch (err) {
      return false;
    }
  }
  // add missing langs
  missingLocales.forEach(function (lang) {
    // if (isPackageInstalled("react-intl")) {
    //   sourceFile.addImportDeclaration({
    //     defaultImport: `${lang}LocaleData`,
    //     moduleSpecifier: `react-intl/locale-data/${lang}`,
    //   });
    //   sourceFile.addStatements(`addLocaleData(${lang}LocaleData);`);
    // }
    sourceFile.addImportDeclaration({
      defaultImport: lang,
      moduleSpecifier: "./translations/".concat(lang, ".json")
    });
    sourceFile.addStatements("export {".concat(lang, "};"));
  });

  // remove extea langs
  localeStatements.forEach(function (s) {
    if (!localesToSupport.some(function (l) {
      return l == s.locale;
    })) {
      s.s.remove();
    }
  });
  sourceFile.formatText();
  sourceFile.saveSync();
  return sourceFile.getText();
}
main().then(console.log).catch(console.error);